<?php
use \PDF;
class CalificacionesPDFController extends \BaseController {

  /**
  * Display a listing of the resource.
  *
  * @return Response
  */
  public function index()
  {
    $usuario = Auth::user();
    $parametros = array();
    $parametros['alumno'] = $usuario;
    $parametros['menu_activo'] = 'calificaciones';

    if($usuario->inscripcion->CveNivel == 1) {
      $calificaciones = DB::select(DB::raw("
                SELECT  ASI.Semestre,
                        ASI.Clave,
                        ASI.Nombre AS Asignatura,
                        ID.Calificacion,
                        ID.Estatus,
                        ID.CveInscripcionDetalle,
                        ParcialUno,
                        (SELECT COUNT(CveAlumnoAsistencia) FROM alumnosasistencias ASP1 WHERE ASP1.Parcial=1 AND Asistencia=0 AND ASP1.CveInscripcionDetalle=ID.CveInscripcionDetalle) AS InasistenciasUno,
                        ParcialDos,
                        (SELECT COUNT(CveAlumnoAsistencia) FROM alumnosasistencias ASP2 WHERE ASP2.Parcial=2 AND Asistencia=0 AND ASP2.CveInscripcionDetalle=ID.CveInscripcionDetalle) AS InasistenciasDos,
                        ParcialTres,
                        (SELECT COUNT(CveAlumnoAsistencia) FROM alumnosasistencias ASP3 WHERE ASP3.Parcial=3 AND Asistencia=0 AND ASP3.CveInscripcionDetalle=ID.CveInscripcionDetalle) AS InasistenciasTres,
                        ExamenFinal,
                        ExtraOrdinario,
                        AtituloDeSuficiencia
                        FROM alumnos A JOIN inscripciones I ON  A.CveAlumno=I.CveAlumno
                        JOIN inscripcionesdetalle ID ON I.CveInscripcion=ID.CveInscripcion JOIN asignaturas ASI ON ID.CveAsignatura=ASI.CveAsignatura
                        JOIN grupos G ON I.CveGrupo=G.CveGrupo
                        WHERE A.CveAlumno=".$usuario->CveAlumno." AND G.CvePlan=".$usuario->inscripcion->grupo->CvePlan." ORDER BY Semestre DESC, Clave"));
    } else {
        $calificaciones = DB::select(DB::raw("
                SELECT ASI.Semestre, ASI.Clave, ASI.Nombre AS Asignatura, ID.Calificacion, ID.Estatus, ID.CveInscripcionDetalle FROM alumnos A JOIN inscripciones I ON  A.CveAlumno=I.CveAlumno JOIN inscripcionesdetalle ID ON I.CveInscripcion=ID.CveInscripcion JOIN asignaturas ASI ON ID.CveAsignatura=ASI.CveAsignatura
                JOIN grupos G ON I.CveGrupo=G.CveGrupo
                WHERE A.CveAlumno=".$usuario->CveAlumno." AND G.CvePlan=".$usuario->inscripcion->grupo->CvePlan." ORDER BY Semestre DESC, Clave"));
    }
    //var_dump($calificaciones);
    $parametros['calificaciones'] = $calificaciones;

    $pdf = PDF::loadView('boleta', $parametros);
    return $pdf->stream('FLDCH'.date('d-m-Y'));
  }
}
